Subject: bug#78527: 30.1; Mishaving new frame creation in MacOS on new desktop

From: Gerd Möllmann <[email-masked]>
Date: Thu, 22 May 2025 12:25:58 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Boris Aronov <[email-masked]>
>> Date: Tue, 20 May 2025 21:35:04 +0200
>> 
>> This is on MacOS in GUI mode.
>> 
>> Recipe: Make emacs full screen by clicking on the green button (maybe
>> also <f11>?).  Now in this frame make another one (for example, by
>> cmd-N or C-x 5 2).
>> 
>> A new frame opens on a new desktop.  Focus shifts there.  Now try to
>> execute a command by esc-x (M-x).  There is no prompt on the bottom of
>> the screen.  If you shift to the previous desktop, you will see that the
>> prompt for the command to be executed appears there.  [I am not 100%
>> sure, but I also think the wrong emacs window is selected, as whatever
>> characters typed after M-x end up in the wrong place.]
>> 
>> I believe the mis-behavior also happens with some other actions
>> immediately after new frame creation, but have not been able to figure
>> out precisely when.
>> 
>> Notice that the trouble does not appear if I have a non-full-screen
>> Emace and make a new frame.
>> 
>> Emacs downloaded from MacPorts.  Versions before 30.1 did not have
>> this "feature."
>
> Gerd and Martin, any suggestions or comments?

Doesn't seem to happen with -Q for me, neither on master not emacs-30 (a
version of emacs-30 that is ca 180 commits behind; savannah seems to be
down again. This is macOS 15.5 on an M1 mac.

C-x 5 2 does not open a new frame on a new desktop for me. The new frame
opens on top of the fullsize first frame.